Subject: Re: [RFC PATCH 05/27] mtd: nand: Move standard OOB layouts to the NAND core

From: Miquel Raynal <[email-masked]>
Date: Thu, 21 Feb 2019 12:47:42 +0100

Hi Boris,

Boris Brezillon <[email-masked]> wrote on Thu, 21 Feb 2019
12:19:00 +0100:

> On Thu, 21 Feb 2019 11:01:54 +0100
> Miquel Raynal <[email-masked]> wrote:
> 
> > These OOB layouts are generic to all NAND chips, the should not be
> > restricted to be used only by raw NAND controller drivers. They might
> > later be used by generic ECC engines and SPI-NAND devices as well.
> > 
> > Signed-off-by: Miquel Raynal <[email-masked]>
> > ---
> >  drivers/mtd/nand/core.c             | 161 ++++++++++++++++++++++++++++  
> 
> Can we place those definitions in ecc.c instead of core.c

Right after (but I can move this patch in the series easily) I create a
drivers/mtd/nand/ecc/ directory with a engine.c file. If I understand
your suggestion correctly, you would prefer to have the OOB layouts in
this file.

> 
> >  drivers/mtd/nand/raw/nand_base.c    | 161 +---------------------------
> >  drivers/mtd/nand/raw/nand_toshiba.c |   2 +
> >  include/linux/mtd/nand.h            |   4 +
> >  include/linux/mtd/rawnand.h         |   3 -
> >  5 files changed, 168 insertions(+), 163 deletions(-)  

Thanks,
Miquèl

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel